## org.eclipse.ocl.cst
Interface PrePostOrBodyDeclCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  PrePostOrBodyDeclCSImpl

    public interface PrePostOrBodyDeclCS

extends CSTNode

A representation of the model object 'Pre Post Or Body Decl CS'.

The following features are supported:

- `Kind`
- `Simple Name CS`
- `Expression CS`

See Also:
  `CSTPackage.getPrePostOrBodyDeclCS()`

Method Summary
`OCLExpressionCS` `getExpressionCS()` Returns the value of the 'Expression CS' containment reference
`PrePostOrBodyEnum` `getKind()` Returns the value of the 'Kind' attribute.
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`void` `setExpressionCS(OCLExpressionCS value)` Sets the value of the '`Expression CS`' containment reference
`void` `setKind(PrePostOrBodyEnum value)` Sets the value of the '`Kind`' attribute
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKind

    PrePostOrBodyEnum getKind()

  Returns the value of the 'Kind' attribute. The literals are from the enumeration `PrePostOrBodyEnum`.

  If the meaning of the 'Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `PrePostOrBodyEnum`, `setKind(PrePostOrBodyEnum)`, `CSTPackage.getPrePostOrBodyDeclCS_Kind()`

### setKind

    void setKind(PrePostOrBodyEnum value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `PrePostOrBodyEnum`, `getKind()`

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getPrePostOrBodyDeclCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

### getExpressionCS

    OCLExpressionCS getExpressionCS()

  Returns the value of the 'Expression CS' containment reference.

  If the meaning of the 'Expression CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression CS' containment reference.
  See Also:
    `setExpressionCS(OCLExpressionCS)`, `CSTPackage.getPrePostOrBodyDeclCS_ExpressionCS()`

### setExpressionCS

    void setExpressionCS(OCLExpressionCS value)

  Sets the value of the '`Expression CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression CS' containment reference.
  See Also:
    `getExpressionCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.